"""
RCSid:
	$Id: conf.py,v 1.4 2013/04/12 20:15:30 sjg Exp $

	@(#) Copyright (c) 2012 Simon J. Gerraty

	This file is provided in the hope that it will
	be of use.  There is absolutely NO WARRANTY.
	Permission to copy, redistribute or otherwise
	use this file is hereby granted provided that 
	the above copyright notice and this notice are
	left intact. 
      
	Please send copies of changes and bug-fixes to:
	sjg@crufty.net

"""

import os

def host_target():
    u = os.uname()
    return '{0}{1}-{2}'.format(u[0].lower(), u[2].split('.')[0], u[-1])

def getConfig(conf, key, default=None):
    """return value of key if present in config, else default"""
    if conf.has_key(key):
        return conf[key]
    return default

def loadConfig(name, conf={}):
    """Add key value pairs into conf"""
    cf = open(name, 'r')
    for line in cf:
        if line.startswith('#'):
            continue
        if line.find('=') > 0:
            k,v = line.split('=', 1)
            conf[k.strip()] = v.strip()
    return conf
